%% ARB demo


%% Open function generator and scope

fg = gpib('agilent',7,10);
os = gpib('agilent',7,7);
fopen(fg)
fopen(os)
fprintf(fg,'*IDN?');
idn = fscanf(fg);
fprintf('function generator: %s',idn);
fprintf(os,'*IDN?');
idn = fscanf(os);
fprintf('oscilloscope: %s',idn);
clear idn;

%% Set fg output load

fprintf(fg,'Output:Load?');
disp(fscanf(fg));
fprintf(fg,'Output:Load INF');


%% Read ARB catalog

fprintf(fg,'DATA:CATALOG?');
str = fscanf(fg);
disp(str);

%% Set function generator to ARB

fprintf(fg,'FUNCTION:USER CARDIAC');
fprintf(fg,'FUNCTION:USER?');
query = fscanf(fg);
disp(query);
fprintf(fg,'APPLY:USER 500, 2, 0.5');

pause(0.5);

fprintf(os,'Autoscale');

%% Close down

fclose(fg);
fclose(os);
delete(fg);
delete(os);
clear

